# atomic_0.h File Reference

Go to the source code of this file.

## Classes

- struct __atomic0::atomic_address
    29.4.2, address types More...
- struct __atomic0::atomic_bool
    atomic_bool More...
- struct __atomic0::atomic_flag
    atomic_flag More...

## Defines

- #define _ATOMIC_CMPEXCHNG_(__a, __e, __m, __x)
- #define _ATOMIC_LOAD_(__a, __x)
- #define _ATOMIC_MODIFY_(__a, __o, __m, __x)
- #define _ATOMIC_STORE_(__a, __m, __x)
- #define _GLIBCXX_ATOMIC_0_H

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file atomic_0.h.